{
  "schema_version": "1.4.0",
  "id": "GHSA-r25x-m6r4-r5pf",
  "modified": "2022-05-14T02:04:17Z",
  "published": "2022-05-14T02:04:17Z",
  "aliases": [
    "CVE-2014-2977"
  ],
  "details": "Multiple integer signedness errors in the Dispatch_Write function in proxy/dispatcher/idirectfbsurface_dispatcher.c in DirectFB 1.4.13 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via the Voodoo interface, which triggers a stack-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-2977"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201701-55"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2015-0176.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-04/msg00019.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-05/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://mail.directfb.org/pipermail/directfb-dev/2014-March/006805.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/58448"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:223"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2014/05/15/9"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-06-11T14:55:00Z"
  }
}